<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <div class="container-fluid">
    <a class="navbar-brand" routerLinkActive="active" routerLink="/the-armory">The Armory</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" [routerLinkActiveOptions]="{exact:true}" routerLinkActive="active" routerLink="/">Buy Armament</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLinkActive="active" routerLink="/sell-armament">Sell Armament</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLinkActive="active" routerLink="/add-armament">Add New Armament</a>
        </li>

        <li class="nav-item">
          <a class="nav-link disabled"></a>
        </li>
      </ul>

      <div>
        <ul class="nav navbar-nav">
          <li *ngIf="!loggedIn()" class="nav-item">
            <a class="nav-link"
            routerLink="user/register"
            routerLinkActive="active"
            >Register</a>
          </li>
          <li *ngIf="!loggedIn()" class="nav-item">
            <a class="nav-link"
            routerLink="user/login"
            routerLinkActive="active"
            >Login</a>
          </li>
          <!-- <li *ngIf="loggedIn()" class="nav-item">
            <a class="nav-link" (click)="onLogout()"
            >Logout</a>
          </li> -->

          <div *ngIf="loggedIn()" class="dropdown r-5" dropdown>
            <a href="#" class="dropdown-toggle text-light" dropdownToggle (click)="false">
                Welcome, {{loggedInUser}}
            </a>
            <div class="dropdown-menu" *dropdownMenu>
                <a href="#" class="dropdown-item">
                  <i class="fas fa-tachometer-alt"></i> View Dashboard</a>
                <a href="#" class="dropdown-item">
                  <i class="far fa-user-circle"></i> My Profile</a>
                <a href="#" class="dropdown-item">
                  <i class="fas fa-key"></i> Change Password</a>
                <a (click)='onLogout()' class="dropdown-item">
                  <i class="fas fa-sign-out-alt"></i> Logout</a>
            </div>
          </div>

        </ul>
      </div>

    </div>
  </div>
</nav>
